2 min • read

Upgrading Ambassador Edge Stack

There are currently multiple paths for upgrading Ambassador Edge Stack, depending on what version you're currently running, what you want to be running, and whether you installed Ambassador Edge Stack using Helm or YAML.

(To check out if you installed Ambassador Edge Stack using Helm, run helm list --all and see if Ambassador Edge Stack is listed. If so, you installed using Helm.)

If you are currently running Emissary-ingress

See the instructions on updating Emissary-ingress.

If you installed Ambassador Edge Stack using Helm

If you're running.You can upgrade to
Ambassador Edge Stack 2.3.1Ambassador Edge Stack 3.0.0
Ambassador Edge Stack 2.2.XAmbassador Edge Stack 2.3.1
Ambassador Edge Stack 2.0.XAmbassador Edge Stack 2.3.1
Ambassador Edge Stack 1.14.4Ambassador Edge Stack 2.3.1
Ambassador Edge Stack prior to 1.14.4Ambassador Edge Stack 1.14.4
Emissary-ingress 3.0.0Ambassador Edge Stack 3.0.0

If you installed Ambassador Edge Stack manually by applying YAML

If you're running.You can upgrade to
Ambassador Edge Stack 2.3.1Ambassador Edge Stack 3.0.0
Ambassador Edge Stack 2.2.XAmbassador Edge Stack 2.3.1
Ambassador Edge Stack 2.0.XAmbassador Edge Stack 2.3.1
Ambassador Edge Stack 1.14.4Ambassador Edge Stack 2.3.1
Ambassador Edge Stack prior to 1.14.4Ambassador Edge Stack 1.14.4
Emissary-ingress 3.0.0Ambassador Edge Stack 3.0.0